ランタイム: Mix::Dynamics::IManager Class Reference

ランタイム

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
Mix::Dynamics::IManager Class Referenceabstract

ダイナミクスマネージャインターフェース More...

`#include <IManager.h>`

Inheritance diagram for Mix::Dynamics::IManager:
[legend]
Collaboration diagram for Mix::Dynamics::IManager:
[legend]

## Public Member Functions

virtual Boolean | CreateSphereShape (Float32 radius, Mix::Dynamics::ISphereShape **ppSphereShape, const wchar_t *pDebugName=NULL)=0
| スフィアシェイプを作成します More...
virtual Boolean | CreateBoxShape (Float32 x, Float32 y, Float32 z, Mix::Dynamics::IBoxShape **ppBoxShape, const wchar_t *pDebugName=NULL)=0
| ボックスシェイプを作成します More...
virtual Boolean | CreateBoxShape (const Mix::Vector3 &halfExtents, Mix::Dynamics::IBoxShape **ppBoxShape, const wchar_t *pDebugName=NULL)=0
| ボックスシェイプを作成します More...
virtual Boolean | CreateConeShape (Mix::Dynamics::AXIS_TYPE axis, Float32 height, Float32 radius, Mix::Dynamics::IConeShape **ppConeShape, const wchar_t *pDebugName=NULL)=0
| コーンシェイプを作成します More...
virtual Boolean | CreateCapsuleShape (Mix::Dynamics::AXIS_TYPE axis, Float32 height, Float32 radius, Mix::Dynamics::ICapsuleShape **ppCapsuleShape, const wchar_t *pDebugName=NULL)=0
| カプセルシェイプを作成します More...
virtual Boolean | CreateCylinderShape (Mix::Dynamics::AXIS_TYPE axis, Float32 height, Float32 radius, Mix::Dynamics::ICylinderShape **ppCylinderShape, const wchar_t *pDebugName=NULL)=0
| シリンダーシェイプを作成します More...
virtual Boolean | CreateConvexHullShape (const Mix::Dynamics::MESH &mesh, Mix::Dynamics::IConvexHullShape **ppConvexHullShape, const wchar_t *pDebugName=NULL)=0
| コンベックスハルシェイプを作成します More...
virtual Boolean | CreateCompoundShape (Mix::Dynamics::ICompoundShape **ppCompoundShape, const wchar_t *pDebugName=NULL)=0
| コンパウンドシェイプを作成します More...
virtual Boolean | CreatePointJoint (Mix::Dynamics::IRigidBody *pRigidBodyA, const Mix::Vector3 &pivotA, Mix::Dynamics::IPointJoint **ppPointJoint, const wchar_t *pDebugName=NULL)=0
| ポイントジョイントを作成します More...
virtual Boolean | CreatePointJoint (Mix::Dynamics::IRigidBody *pRigidBodyA, Mix::Dynamics::IRigidBody *pRigidBodyB, const Mix::Vector3 &pivotA, const Mix::Vector3 &pivotB, Mix::Dynamics::IPointJoint **ppPointJoint, const wchar_t *pDebugName=NULL)=0
| ポイントジョイントを作成します More...
virtual Boolean | CreateHingeJoint (Mix::Dynamics::IRigidBody *pRigidBodyA, const Mix::Vector3 &pivotA, const Mix::Vector3 &axis, Mix::Dynamics::IHingeJoint **ppHingeJoint, const wchar_t *pDebugName=NULL)=0
| ヒンジジョイントを作成します More...
virtual Boolean | CreateHingeJoint (Mix::Dynamics::IRigidBody *pRigidBodyA, Mix::Dynamics::IRigidBody *pRigidBodyB, const Mix::Vector3 &pivotA, const Mix::Vector3 &pivotB, const Mix::Vector3 &axis, Mix::Dynamics::IHingeJoint **ppHingeJoint, const wchar_t *pDebugName=NULL)=0
| ヒンジジョイントを作成します More...
virtual Boolean | CreateSliderJoint (Mix::Dynamics::IRigidBody *pRigidBodyA, const Mix::Quaternion &rotA, const Mix::Vector3 &pivotA, Mix::Dynamics::ISliderJoint **ppSliderJoint, const wchar_t *pDebugName=NULL)=0
| スライダージョイントを作成します More...
virtual Boolean | CreateSliderJoint (Mix::Dynamics::IRigidBody *pRigidBodyA, Mix::Dynamics::IRigidBody *pRigidBodyB, const Mix::Quaternion &rotA, const Mix::Quaternion &rotB, const Mix::Vector3 &pivotA, const Mix::Vector3 &pivotB, Mix::Dynamics::ISliderJoint **ppSliderJoint, const wchar_t *pDebugName=NULL)=0
| スライダージョイントを作成します More...
virtual Boolean | CreateDofJoint (Mix::Dynamics::IRigidBody *pRigidBodyA, const Mix::Quaternion &rotA, const Mix::Vector3 &pivotA, Mix::Dynamics::IDofJoint **ppDofJoint, const wchar_t *pDebugName=NULL)=0
| DOFジョイントを作成します More...
virtual Boolean | CreateDofJoint (Mix::Dynamics::IRigidBody *pRigidBodyA, Mix::Dynamics::IRigidBody *pRigidBodyB, const Mix::Quaternion &rotA, const Mix::Quaternion &rotB, const Mix::Vector3 &pivotA, const Mix::Vector3 &pivotB, Mix::Dynamics::IDofJoint **ppDofJoint, const wchar_t *pDebugName=NULL)=0
| DOFジョイントを作成します More...
virtual Boolean | CreateBallJoint (Mix::Dynamics::IRigidBody *pRigidBodyA, const Mix::Vector3 &pivotA, const Mix::Vector3 &twistAxis, const Mix::Vector3 &swingAxis, Mix::Dynamics::IBallJoint **ppBallJoint, const wchar_t *pDebugName=NULL)=0
| ボールジョイントを作成します More...
virtual Boolean | CreateBallJoint (Mix::Dynamics::IRigidBody *pRigidBodyA, Mix::Dynamics::IRigidBody *pRigidBodyB, const Mix::Vector3 &pivotA, const Mix::Vector3 &pivotB, const Mix::Vector3 &twistAxis, const Mix::Vector3 &swingAxis, Mix::Dynamics::IBallJoint **ppBallJoint, const wchar_t *pDebugName=NULL)=0
| ボールジョイントを作成します More...
virtual Boolean | CreateWorld (const Mix::Dynamics::WORLD_CONFIG &config, Mix::Dynamics::IWorld **ppWorld, const wchar_t *pDebugName=NULL)=0
| ワールドを作成します More...
virtual Boolean | CreateStaticPlane (const Mix::Vector3 &normal, Float32 constant, Mix::Dynamics::IStaticPlane **ppStaticPlane, const wchar_t *pDebugName=NULL)=0
| スタティックプレーンを作成します More...
virtual Boolean | CreateStaticMesh (const Mix::Dynamics::MESH *meshes, UInt32 meshNum, UInt32 materialNum, Mix::Dynamics::IStaticMesh **ppStaticMesh, const wchar_t *pDebugName=NULL)=0
| スタティックメッシュを作成します More...
virtual Boolean | CreateStaticMesh (Mix::Memory::IBuffer *pBuffer, UInt32 materialNum, Mix::Dynamics::IStaticMesh **ppStaticMesh, const wchar_t *pDebugName=NULL)=0
| スタティックメッシュを作成します More...
virtual Boolean | CreateRigidBody (Float32 mass, Mix::Dynamics::IShape *pShape, Mix::Dynamics::IRigidBody **ppRigidBody, const wchar_t *pDebugName=NULL)=0
| リジッドボディを作成します More...
virtual Boolean | CreateSensor (Mix::Dynamics::IShape *pShape, Mix::Dynamics::ISensor **ppSensor, const wchar_t *pDebugName=NULL)=0
| センサーを作成します More...
virtual Boolean | CreateKinematicCharacter (Float32 height, Float32 radius, Float32 stepHeight, Mix::Dynamics::IKinematicCharacter **ppKinematicCharacter, const wchar_t *pDebugName=NULL)=0
| キネマティックキャラクターを作成します More...
virtual Boolean | CreateVehicle (Float32 mass, Mix::Dynamics::IShape *pShape, const Mix::Dynamics::VEHICLE_WHEEL_DESC *wheels, UInt32 wheelNum, Mix::Dynamics::IVehicle **ppVehicle, const wchar_t *pDebugName=NULL)=0
| ビハイクルを作成します More...
virtual Boolean | CreateObjectDragger (Mix::Dynamics::IWorld *pWorld, Mix::Dynamics::IObjectDragger **ppObjectDragger, const wchar_t *pDebugName=NULL)=0
| オブジェクトドラッガーを作成します More...
virtual const Mix::Vector4 & | Debug_GetDrawColor (Mix::Dynamics::DEBUG_DRAW_COLOR_TYPE type) const =0
| デバッグ描画の色を取得します More...
virtual void | Debug_SetDrawColor (Mix::Dynamics::DEBUG_DRAW_COLOR_TYPE type, const Mix::Vector4 &color)=0
| デバッグ描画の色を設定します More...
Public Member Functions inherited from Mix::Reference
void | AddRef (void)
| 参照数を 1 増やします More...
void | Release (void)
| 参照数を 1 減らします More...
Long32 | GetRefCount (void)
| 参照数を取得します More...

## Protected Member Functions

virtual | ~IManager (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Reference
| MIX_DECLARE_ALLOCATOR ()
| Reference (void)
| コンストラクタ More...
| Reference (Long32 count)
| コンストラクタ More...
virtual | ~Reference (void)
| デストラクタ More...

## Detailed Description

ダイナミクスマネージャインターフェース

## Constructor & Destructor Documentation

virtual Mix::Dynamics::IManager::~IManager | ( | void |  | ) |

inlineprotectedvirtual

デストラクタ

## Member Function Documentation

virtual Boolean Mix::Dynamics::IManager::CreateSphereShape | ( | Float32 | radius,
|  | Mix::Dynamics::ISphereShape ** | ppSphereShape,
|  | const wchar_t * | pDebugName = `NULL`
| ) |  |

pure virtual

スフィアシェイプを作成します

Parameters

  [in] | radius | 半径( radius > 0.0f )
  [out] | ppSphereShape | 作成されたスフィアシェイプを表す Mix::Dynamics::ISphereShape インターフェースのポインタのアドレス
  [in] | pDebugName | デバッグ名

Returns
  成功した場合は True を返します

virtual Boolean Mix::Dynamics::IManager::CreateBoxShape | ( | Float32 | x,
|  | Float32 | y,
|  | Float32 | z,
|  | Mix::Dynamics::IBoxShape ** | ppBoxShape,
|  | const wchar_t * | pDebugName = `NULL`
| ) |  |

pure virtual

ボックスシェイプを作成します

Parameters

  [in] | x | X方向のサイズ( x > 0.0f )
  [in] | y | Y方向のサイズ( y > 0.0f )
  [in] | z | Z方向のサイズ( z > 0.0f )
  [out] | ppBoxShape | 作成されたボックスシェイプを表す Mix::Dynamics::IBoxShape インターフェースのポインタのアドレス
  [in] | pDebugName | デバッグ名

Returns
  成功した場合は True を返します

virtual Boolean Mix::Dynamics::IManager::CreateBoxShape | ( | const Mix::Vector3 & | halfExtents,
|  | Mix::Dynamics::IBoxShape ** | ppBoxShape,
|  | const wchar_t * | pDebugName = `NULL`
| ) |  |

pure virtual

ボックスシェイプを作成します

Parameters

  [in] | halfExtents | サイズ( halfExtents.x > 0.0f halfExtents.y > 0.0f halfExtents.z > 0.0f )
  [out] | ppBoxShape | 作成されたボックスシェイプを表す Mix::Dynamics::IBoxShape インターフェースのポインタのアドレス
  [in] | pDebugName | デバッグ名

Returns
  成功した場合は True を返します

virtual Boolean Mix::Dynamics::IManager::CreateConeShape | ( | Mix::Dynamics::AXIS_TYPE | axis,
|  | Float32 | height,
|  | Float32 | radius,
|  | Mix::Dynamics::IConeShape ** | ppConeShape,
|  | const wchar_t * | pDebugName = `NULL`
| ) |  |

pure virtual

コーンシェイプを作成します

Parameters

  [in] | axis | 軸を表す Mix::Dynamics::AXIS_TYPE 列挙定数
  [in] | height | 高さ
  [in] | radius | 半径
  [out] | ppConeShape | 作成されたコーンシェイプを表す Mix::Dynamics::IConeShape インターフェースのポインタのアドレス
  [in] | pDebugName | デバッグ名

Returns
  成功した場合は True を返します

virtual Boolean Mix::Dynamics::IManager::CreateCapsuleShape | ( | Mix::Dynamics::AXIS_TYPE | axis,
|  | Float32 | height,
|  | Float32 | radius,
|  | Mix::Dynamics::ICapsuleShape ** | ppCapsuleShape,
|  | const wchar_t * | pDebugName = `NULL`
| ) |  |

pure virtual

カプセルシェイプを作成します

Parameters

  [in] | axis | カプセルの軸を表す Mix::Dynamics::AXIS_TYPE 列挙定数
  [in] | height | 半球の部分を含む高さ( length >= 0.0f )
  [in] | radius | 半径( radius > 0.0f )
  [out] | ppCapsuleShape | 作成されたカプセルシェイプを表す Mix::Dynamics::ICapsuleShape インターフェースのポインタのアドレス
  [in] | pDebugName | デバッグ名

Returns
  成功した場合は True を返します

virtual Boolean Mix::Dynamics::IManager::CreateCylinderShape | ( | Mix::Dynamics::AXIS_TYPE | axis,
|  | Float32 | height,
|  | Float32 | radius,
|  | Mix::Dynamics::ICylinderShape ** | ppCylinderShape,
|  | const wchar_t * | pDebugName = `NULL`
| ) |  |

pure virtual

シリンダーシェイプを作成します

Parameters

  [in] | axis | シリンダーの軸を表す Mix::Dynamics::AXIS_TYPE 列挙定数
  [in] | height | 高さ
  [in] | radius | 半径
  [out] | ppCylinderShape | 作成されたシリンダーシェイプを表す Mix::Dynamics::ICylinderShape インターフェースのポインタのアドレス
  [in] | pDebugName | デバッグ名

Returns
  成功した場合は True を返します

virtual Boolean Mix::Dynamics::IManager::CreateConvexHullShape | ( | const Mix::Dynamics::MESH & | mesh,
|  | Mix::Dynamics::IConvexHullShape ** | ppConvexHullShape,
|  | const wchar_t * | pDebugName = `NULL`
| ) |  |

pure virtual

コンベックスハルシェイプを作成します

Parameters

  [in] | mesh | メッシュを表す Mix::Dynamics::MESH 構造体
  [out] | ppConvexHullShape | 作成されたコンベックスフルシェイプを表す Mix::Dynamics::IConvexHullShape インターフェースのポインタのアドレス
  [in] | pDebugName | デバッグ名

Returns
  成功した場合は True を返します

virtual Boolean Mix::Dynamics::IManager::CreateCompoundShape | ( | Mix::Dynamics::ICompoundShape ** | ppCompoundShape,
|  | const wchar_t * | pDebugName = `NULL`
| ) |  |

pure virtual

コンパウンドシェイプを作成します

Parameters

  [out] | ppCompoundShape | 作成されたコンパウンドシェイプを表す Mix::Dynamics::ICompoundShape インターフェースのポインタのアドレス
  [in] | pDebugName | デバッグ名

Returns
  成功した場合は True を返します

virtual Boolean Mix::Dynamics::IManager::CreatePointJoint | ( | Mix::Dynamics::IRigidBody * | pRigidBodyA,
|  | const Mix::Vector3 & | pivotA,
|  | Mix::Dynamics::IPointJoint ** | ppPointJoint,
|  | const wchar_t * | pDebugName = `NULL`
| ) |  |

pure virtual

ポイントジョイントを作成します

Parameters

  [in] | pRigidBodyA | 拘束するリジッドボディＡを表す Mix::Dynamics::IRigidBody インターフェースのポインタ
  [in] | pivotA | リジッドボディＡを拘束する位置( ローカル )を表す Mix::Vector3 クラス
  [out] | ppPointJoint | 作成されたジョイントを表す Mix::Dynamics::IPointJoint インターフェースのポインタのアドレス
  [in] | pDebugName | デバッグ名

Returns
  成功した場合は True を返します

Note
  作成に成功した場合、リジッドボディＡの参照カウンタを +1 します

virtual Boolean Mix::Dynamics::IManager::CreatePointJoint | ( | Mix::Dynamics::IRigidBody * | pRigidBodyA,
|  | Mix::Dynamics::IRigidBody * | pRigidBodyB,
|  | const Mix::Vector3 & | pivotA,
|  | const Mix::Vector3 & | pivotB,
|  | Mix::Dynamics::IPointJoint ** | ppPointJoint,
|  | const wchar_t * | pDebugName = `NULL`
| ) |  |

pure virtual

ポイントジョイントを作成します

Parameters

  [in] | pRigidBodyA | 拘束するリジッドボディＡを表す Mix::Dynamics::IRigidBody インターフェースのポインタ
  [in] | pRigidBodyB | 拘束するリジッドボディＢを表す Mix::Dynamics::IRigidBody インターフェースのポインタ
  [in] | pivotA | リジッドボディＡを拘束する位置( ローカル )を表す Mix::Vector3 クラス
  [in] | pivotB | リジッドボディＢを拘束する位置( ローカル )を表す Mix::Vector3 クラス
  [out] | ppPointJoint | 作成されたジョイントを表す Mix::Dynamics::IPointJoint インターフェースのポインタのアドレス
  [in] | pDebugName | デバッグ名

Returns
  成功した場合は True を返します

Note
  作成に成功した場合、リジッドボディＡとリジッドボディＢの参照カウンタを +1 します

virtual Boolean Mix::Dynamics::IManager::CreateHingeJoint | ( | Mix::Dynamics::IRigidBody * | pRigidBodyA,
|  | const Mix::Vector3 & | pivotA,
|  | const Mix::Vector3 & | axis,
|  | Mix::Dynamics::IHingeJoint ** | ppHingeJoint,
|  | const wchar_t * | pDebugName = `NULL`
| ) |  |

pure virtual

ヒンジジョイントを作成します

Parameters

  [in] | pRigidBodyA | 拘束するリジッドボディＡを表す Mix::Dynamics::IRigidBody インターフェースのポインタ
  [in] | pivotA | リジッドボディＡを拘束する位置( ローカル )を表す Mix::Vector3 クラス
  [in] | axis | 回転軸を表す Mix::Vector3 クラス
  [out] | ppHingeJoint | 作成されたジョイントを表す Mix::Dynamics::IHingeJoint インターフェースのポインタのアドレス
  [in] | pDebugName | デバッグ名

Returns
  成功した場合は True を返します

Note
  作成に成功した場合、リジッドボディＡの参照カウンタを +1 します

virtual Boolean Mix::Dynamics::IManager::CreateHingeJoint | ( | Mix::Dynamics::IRigidBody * | pRigidBodyA,
|  | Mix::Dynamics::IRigidBody * | pRigidBodyB,
|  | const Mix::Vector3 & | pivotA,
|  | const Mix::Vector3 & | pivotB,
|  | const Mix::Vector3 & | axis,
|  | Mix::Dynamics::IHingeJoint ** | ppHingeJoint,
|  | const wchar_t * | pDebugName = `NULL`
| ) |  |

pure virtual

ヒンジジョイントを作成します

Parameters

  [in] | pRigidBodyA | 拘束するリジッドボディＡを表す Mix::Dynamics::IRigidBody インターフェースのポインタ
  [in] | pRigidBodyB | 拘束するリジッドボディＢを表す Mix::Dynamics::IRigidBody インターフェースのポインタ
  [in] | pivotA | リジッドボディＡを拘束する位置( ローカル )を表す Mix::Vector3 クラス
  [in] | pivotB | リジッドボディＢを拘束する位置( ローカル )を表す Mix::Vector3 クラス
  [in] | axis | 回転軸を表す Mix::Vector3 クラス
  [out] | ppHingeJoint | 作成されたジョイントを表す Mix::Dynamics::IHingeJoint インターフェースのポインタのアドレス
  [in] | pDebugName | デバッグ名

Returns
  成功した場合は True を返します

Note
  作成に成功した場合、リジッドボディＡとリジッドボディＢの参照カウンタを +1 します

virtual Boolean Mix::Dynamics::IManager::CreateSliderJoint | ( | Mix::Dynamics::IRigidBody * | pRigidBodyA,
|  | const Mix::Quaternion & | rotA,
|  | const Mix::Vector3 & | pivotA,
|  | Mix::Dynamics::ISliderJoint ** | ppSliderJoint,
|  | const wchar_t * | pDebugName = `NULL`
| ) |  |

pure virtual

スライダージョイントを作成します

Parameters

  [in] | pRigidBodyA | 拘束するリジッドボディＡを表す Mix::Dynamics::IRigidBody インターフェースのポインタ
  [in] | rotA | リジッドボディＡを拘束する位置での回転を表す Mix::Vector3 クラス
  [in] | pivotA | リジッドボディＡを拘束する位置( ローカル )を表す Mix::Vector3 クラス
  [out] | ppSliderJoint | 作成されたジョイントを表す Mix::Dynamics::ISliderJoint インターフェースのポインタのアドレス
  [in] | pDebugName | デバッグ名

Returns
  成功した場合 True を返します

Note
  作成に成功した場合、リジッドボディＡの参照カウンタを +1 します

virtual Boolean Mix::Dynamics::IManager::CreateSliderJoint | ( | Mix::Dynamics::IRigidBody * | pRigidBodyA,
|  | Mix::Dynamics::IRigidBody * | pRigidBodyB,
|  | const Mix::Quaternion & | rotA,
|  | const Mix::Quaternion & | rotB,
|  | const Mix::Vector3 & | pivotA,
|  | const Mix::Vector3 & | pivotB,
|  | Mix::Dynamics::ISliderJoint ** | ppSliderJoint,
|  | const wchar_t * | pDebugName = `NULL`
| ) |  |

pure virtual

スライダージョイントを作成します

Parameters

  [in] | pRigidBodyA | 拘束するリジッドボディＡを表す Mix::Dynamics::IRigidBody インターフェースのポインタ
  [in] | pRigidBodyB | 拘束するリジッドボディＢを表す Mix::Dynamics::IRigidBody インターフェースのポインタ
  [in] | rotA | リジッドボディＡを拘束する位置での回転を表す Mix::Vector3 クラス
  [in] | rotB | リジッドボディＢを拘束する位置での回転を表す Mix::Vector3 クラス
  [in] | pivotA | リジッドボディＡを拘束する位置( ローカル )を表す Mix::Vector3 クラス
  [in] | pivotB | リジッドボディＢを拘束する位置( ローカル )を表す Mix::Vector3 クラス
  [out] | ppSliderJoint | 作成されたジョイントを表す Mix::Dynamics::ISliderJoint インターフェースのポインタのアドレス
  [in] | pDebugName | デバッグ名

Returns
  成功した場合 True を返します

Note
  作成に成功した場合、リジッドボディＡとリジッドボディＢの参照カウンタを +1 します

virtual Boolean Mix::Dynamics::IManager::CreateDofJoint | ( | Mix::Dynamics::IRigidBody * | pRigidBodyA,
|  | const Mix::Quaternion & | rotA,
|  | const Mix::Vector3 & | pivotA,
|  | Mix::Dynamics::IDofJoint ** | ppDofJoint,
|  | const wchar_t * | pDebugName = `NULL`
| ) |  |

pure virtual

DOFジョイントを作成します

Parameters

  [in] | pRigidBodyA | 拘束するリジッドボディＡを表す Mix::Dynamics::IRigidBody インターフェースのポインタ
  [in] | rotA | リジッドボディＡを拘束する位置での回転を表す Mix::Vector3 クラス
  [in] | pivotA | リジッドボディＡを拘束する位置( ローカル )を表す Mix::Vector3 クラス
  [out] | ppDofJoint | 作成されたジョイントを表す Mix::Dynamics::IDofJoint インターフェースのポインタのアドレス
  [in] | pDebugName | デバッグ名

Returns
  成功した場合 True を返します

Note
  作成に成功した場合、リジッドボディＡの参照カウンタを +1 します

virtual Boolean Mix::Dynamics::IManager::CreateDofJoint | ( | Mix::Dynamics::IRigidBody * | pRigidBodyA,
|  | Mix::Dynamics::IRigidBody * | pRigidBodyB,
|  | const Mix::Quaternion & | rotA,
|  | const Mix::Quaternion & | rotB,
|  | const Mix::Vector3 & | pivotA,
|  | const Mix::Vector3 & | pivotB,
|  | Mix::Dynamics::IDofJoint ** | ppDofJoint,
|  | const wchar_t * | pDebugName = `NULL`
| ) |  |

pure virtual

DOFジョイントを作成します

Parameters

  [in] | pRigidBodyA | 拘束するリジッドボディＡを表す Mix::Dynamics::IRigidBody インターフェースのポインタ
  [in] | pRigidBodyB | 拘束するリジッドボディＢを表す Mix::Dynamics::IRigidBody インターフェースのポインタ
  [in] | rotA | リジッドボディＡを拘束する位置での回転を表す Mix::Vector3 クラス
  [in] | rotB | リジッドボディＢを拘束する位置での回転を表す Mix::Vector3 クラス
  [in] | pivotA | リジッドボディＡを拘束する位置( ローカル )を表す Mix::Vector3 クラス
  [in] | pivotB | リジッドボディＢを拘束する位置( ローカル )を表す Mix::Vector3 クラス
  [out] | ppDofJoint | 作成されたジョイントを表す Mix::Dynamics::IDofJoint インターフェースのポインタのアドレス
  [in] | pDebugName | デバッグ名

Returns
  成功した場合 True を返します

Note
  作成に成功した場合、リジッドボディＡとリジッドボディＢの参照カウンタを +1 します

virtual Boolean Mix::Dynamics::IManager::CreateBallJoint | ( | Mix::Dynamics::IRigidBody * | pRigidBodyA,
|  | const Mix::Vector3 & | pivotA,
|  | const Mix::Vector3 & | twistAxis,
|  | const Mix::Vector3 & | swingAxis,
|  | Mix::Dynamics::IBallJoint ** | ppBallJoint,
|  | const wchar_t * | pDebugName = `NULL`
| ) |  |

pure virtual

ボールジョイントを作成します

Parameters

  [in] | pRigidBodyA | 接合するリジッドボディＡを表す Mix::Dynamics::IRigidBody インターフェースのポインタ
  [in] | pivotA | リジッドボディＡの接合位置( ローカル )を表す Mix::Vector3 クラス
  [in] | twistAxis | ツイストの軸を表す Mix::Vector3 クラス
  [in] | swingAxis | スイングの軸を表す Mix::Vector3 クラス
  [out] | ppBallJoint | 作成されたジョイントを渡す Mix::Dynamics::IBallJoint インターフェースのポインタのアドレス
  [in] | pDebugName | デバッグ名

Returns
  成功した場合 True を返します

Note
  作成に成功した場合、リジッドボディＡの参照カウンタを +1 します

virtual Boolean Mix::Dynamics::IManager::CreateBallJoint | ( | Mix::Dynamics::IRigidBody * | pRigidBodyA,
|  | Mix::Dynamics::IRigidBody * | pRigidBodyB,
|  | const Mix::Vector3 & | pivotA,
|  | const Mix::Vector3 & | pivotB,
|  | const Mix::Vector3 & | twistAxis,
|  | const Mix::Vector3 & | swingAxis,
|  | Mix::Dynamics::IBallJoint ** | ppBallJoint,
|  | const wchar_t * | pDebugName = `NULL`
| ) |  |

pure virtual

ボールジョイントを作成します

Parameters

  [in] | pRigidBodyA | 接合するリジッドボディＡを表す Mix::Dynamics::IRigidBody インターフェースのポインタ
  [in] | pRigidBodyB | 接合するリジッドボディＢを表す Mix::Dynamics::IRigidBody インターフェースのポインタ
  [in] | pivotA | リジッドボディＡの接合位置( ローカル )を表す Mix::Vector3 クラス
  [in] | pivotB | リジッドボディＢの接合位置( ローカル )を表す Mix::Vector3 クラス
  [in] | twistAxis | ツイストの軸を表す Mix::Vector3 クラス
  [in] | swingAxis | スイングの軸を表す Mix::Vector3 クラス
  [out] | ppBallJoint | 作成されたジョイントを渡す Mix::Dynamics::IBallJoint インターフェースのポインタのアドレス
  [in] | pDebugName | デバッグ名

Returns
  成功した場合 True を返します

Note
  作成に成功した場合、リジッドボディＡとリジッドボディＢの参照カウンタを +1 します

virtual Boolean Mix::Dynamics::IManager::CreateWorld | ( | const Mix::Dynamics::WORLD_CONFIG & | config,
|  | Mix::Dynamics::IWorld ** | ppWorld,
|  | const wchar_t * | pDebugName = `NULL`
| ) |  |

pure virtual

ワールドを作成します

Parameters

  [in] | config | ワールドの設定を表す Mix::Dynamics::WORLD_CONFIG 構造体
  [out] | ppWorld | 作成したワールドを表す Mix::Dynamics::IWorld インターフェースのポインタのアドレス
  [in] | pDebugName | デバッグ名

Returns
  成功した場合は True を返します

virtual Boolean Mix::Dynamics::IManager::CreateStaticPlane | ( | const Mix::Vector3 & | normal,
|  | Float32 | constant,
|  | Mix::Dynamics::IStaticPlane ** | ppStaticPlane,
|  | const wchar_t * | pDebugName = `NULL`
| ) |  |

pure virtual

スタティックプレーンを作成します

Parameters

  [in] | normal | 面の法線
  [in] | constant | 面の法線方向へのオフセット
  [out] | ppStaticPlane | 作成したスタティックプレーンを渡す Mix::Dynamics::IStaticPlane インターフェースのポインタのアドレス
  [in] | pDebugName | デバッグ名

Returns
  成功した場合は True を返します

virtual Boolean Mix::Dynamics::IManager::CreateStaticMesh | ( | const Mix::Dynamics::MESH * | meshes,
|  | UInt32 | meshNum,
|  | UInt32 | materialNum,
|  | Mix::Dynamics::IStaticMesh ** | ppStaticMesh,
|  | const wchar_t * | pDebugName = `NULL`
| ) |  |

pure virtual

スタティックメッシュを作成します

Parameters

  [in] | meshes | メッシュを表す Mix::Dynamics::MESH 構造体の配列
  [in] | meshNum | メッシュ数
  [in] | materialNum | マテリアル数
  [out] | ppStaticMesh | 作成したスタティックメッシュを渡す Mix::Dynamics::IStaticMesh インターフェースのポインタのアドレス
  [in] | pDebugName | デバッグ名

Returns
  成功した場合は True を返します

virtual Boolean Mix::Dynamics::IManager::CreateStaticMesh | ( | Mix::Memory::IBuffer * | pBuffer,
|  | UInt32 | materialNum,
|  | Mix::Dynamics::IStaticMesh ** | ppStaticMesh,
|  | const wchar_t * | pDebugName = `NULL`
| ) |  |

pure virtual

スタティックメッシュを作成します

Parameters

  [in] | pBuffer | メモリ内のファイルを表す Mix::Memory::IBuffer インターフェースのポインタ
  [in] | materialNum | マテリアル数
  [out] | ppStaticMesh | 作成したスタティックメッシュを渡す Mix::Dynamics::IStaticMesh インターフェースのポインタのアドレス
  [in] | pDebugName | デバッグ名

Returns
  成功した場合は True を返します

Note
  pBuffer の内容は btBvhTriangleMeshShape をシリアライズしたものになります。

virtual Boolean Mix::Dynamics::IManager::CreateRigidBody | ( | Float32 | mass,
|  | Mix::Dynamics::IShape * | pShape,
|  | Mix::Dynamics::IRigidBody ** | ppRigidBody,
|  | const wchar_t * | pDebugName = `NULL`
| ) |  |

pure virtual

リジッドボディを作成します

Parameters

  [in] | mass | 質量
  [in] | pShape | リジッドボディの形状を現す Mix::Dynamics::IShape インターフェースのポインタ
  [out] | ppRigidBody | 作成されたリジッドボディを表す Mix::Dynamics::IRigidBody インターフェースのポインタのアドレス
  [in] | pDebugName | デバッグ名

Returns
  成功した場合は True を返します

Note
  作成に成功した場合、シェイプの参照カウンタを +1 します

virtual Boolean Mix::Dynamics::IManager::CreateSensor | ( | Mix::Dynamics::IShape * | pShape,
|  | Mix::Dynamics::ISensor ** | ppSensor,
|  | const wchar_t * | pDebugName = `NULL`
| ) |  |

pure virtual

センサーを作成します

Parameters

  [in] | pShape | 形状を表す Mix::Dynamics::IShape インターフェースのポインタ
  [out] | ppSensor | 作成されたセンサーを渡す Mix::Dynamics::ISensor インターフェースのポインタのアドレス
  [in] | pDebugName | デバッグ名

Returns
  成功した場合は True を返します

Note
  作成に成功した場合、シェイプの参照カウンタを +1 します

virtual Boolean Mix::Dynamics::IManager::CreateKinematicCharacter | ( | Float32 | height,
|  | Float32 | radius,
|  | Float32 | stepHeight,
|  | Mix::Dynamics::IKinematicCharacter ** | ppKinematicCharacter,
|  | const wchar_t * | pDebugName = `NULL`
| ) |  |

pure virtual

キネマティックキャラクターを作成します

Parameters

  [in] | height | 身長
  [in] | radius | 半径
  [in] | stepHeight | 上ることができる段差の高さ
  [out] | ppKinematicCharacter | 作成されたキネマティックキャラクターを渡す Mix::Dynamics::IKinematicCharacter インターフェースのポインタのアドレス
  [in] | pDebugName | デバッグ名

Returns
  成功した場合は True を返します

virtual Boolean Mix::Dynamics::IManager::CreateVehicle | ( | Float32 | mass,
|  | Mix::Dynamics::IShape * | pShape,
|  | const Mix::Dynamics::VEHICLE_WHEEL_DESC * | wheels,
|  | UInt32 | wheelNum,
|  | Mix::Dynamics::IVehicle ** | ppVehicle,
|  | const wchar_t * | pDebugName = `NULL`
| ) |  |

pure virtual

ビハイクルを作成します

Parameters

  [in] | mass | 質量( mass > 0.0f )
  [in] | pShape | 車体の形状を表す Mix::Dynamics::IShape インターフェースのポインタ
  [in] | wheels | ホイールを表す Mix::Dynamics::VEHICLE_WHEEL_DESC 構造体の配列
  [in] | wheelNum | ホイールの数
  [out] | ppVehicle | 作成したビハイクルを表す Mix::Dynamics::IVehicle インターフェースのポインタのアドレス
  [in] | pDebugName | デバッグ名

Returns
  成功した場合は True を返します

virtual Boolean Mix::Dynamics::IManager::CreateObjectDragger | ( | Mix::Dynamics::IWorld * | pWorld,
|  | Mix::Dynamics::IObjectDragger ** | ppObjectDragger,
|  | const wchar_t * | pDebugName = `NULL`
| ) |  |

pure virtual

オブジェクトドラッガーを作成します

Parameters

  [in] | pWorld | ドラッグに使用するワールドを表す Mix::Dynamics::IWorld インターフェースのポインタ
  [out] | ppObjectDragger | 作成したオブジェクトドラッガーを渡す Mix::Dynamics::IObjectPicker インターフェースのポインタのアドレス
  [in] | pDebugName | デバッグ名

Returns
  成功した場合は True を返します

Note
  作成に成功した場合は ワールドの参照カウンタを +1 します

virtual const Mix::Vector4& Mix::Dynamics::IManager::Debug_GetDrawColor | ( | Mix::Dynamics::DEBUG_DRAW_COLOR_TYPE | type | ) | const

pure virtual

デバッグ描画の色を取得します

Parameters

  [in] | type | 取得する色のタイプを表す Mix::Dynamics::DEBUG_DRAW_COLOR_TYPE 列挙定数

Returns
  取得した色を表す Mix::Vector4 クラスを返します

virtual void Mix::Dynamics::IManager::Debug_SetDrawColor | ( | Mix::Dynamics::DEBUG_DRAW_COLOR_TYPE | type,
|  | const Mix::Vector4 & | color
| ) |  |

pure virtual

デバッグ描画の色を設定します

Parameters

  [in] | type | 設定する色のタイプを表す Mix::Dynamics::DEBUG_DRAW_COLOR_TYPE 列挙定数
  [in] | color | 設定する色を表す Mix::Vector4 クラスを返します

The documentation for this class was generated from the following file:

- Mix/Dynamics/IManager.h